Subject: [icnrg] New Version Notification for draft-dong-icnrg-nrs-requirement-00.txt

From: Cedric Westphal <[email-masked]>
Date: Thu, 21 Jul 2016 13:11:34 +0000

Sent from HUAWEI AnyOffice
From:Cedric Westphal
To:[email-masked],Lijun Dong,GQ Wang,[email-masked],
Date:2016-07-21 14:59:40
Subject:Re: New Version Notification for draft-dong-icnrg-nrs-requirement-00.txt

This is the draft which I presented in Sunday at the interim meeting. Comments are welcome!

C.

Sent from HUAWEI AnyOffice
From:[email-masked]
To:Cedric Westphal,Lijun Dong,GQ Wang,Cedric Westphal,GQ Wang,Jianping Wang,
Date:2016-07-21 12:55:02
Subject:New Version Notification for draft-dong-icnrg-nrs-requirement-00.txt

A new version of I-D, draft-dong-icnrg-nrs-requirement-00.txt
has been successfully submitted by Cedric Westphal and posted to the
IETF repository.

Name:           draft-dong-icnrg-nrs-requirement
Revision:       00
Title:          Requirements of Name Resolution Service in ICN
Document date:  2016-07-18
Group:          Individual Submission
Pages:          13
URL:            https://www.ietf.org/internet-drafts/draft-dong-icnrg-nrs-requirement-00.txt
Status:         https://datatracker.ietf.org/doc/draft-dong-icnrg-nrs-requirement/
Htmlized:       https://tools.ietf.org/html/draft-dong-icnrg-nrs-requirement-00

Abstract:
   This document summarizes the existing approaches for name resolution
   in various ICN architectures, and categorizes them into two groups:
   (1) standalone name resolution; (2) name based routing. It compares
   the two types of approaches from the aspects of update message
   overhead, resolution capability, node failure impact, and maintained
   database. And hybrid approaches also exist with a subnet of routers
   carrying out name based routing. Despite the coexistence of
   different name resolution approaches, the Name Resolution Service
   (NRS) is most essential service that shall be provided by the ICN
   infrastructure. The document gives the definition of NRS in ICN and
   proposes some requirements of NRS, i.e. resolution guarantee, delay
   sensitivity, minimum inter-domain traffic, failure resilience,
   accuracy, security and accessibility, scalability, and time
   transiency, support for manifest, interoperability, resolution
   result selection, heterogeneity, unspecified Content Name.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat